跳到主要內容
API 參考
API 參考

建立防護規則

建立可重複使用的模型、供應商與預算政策。

建立可重複使用的模型、供應商與預算政策。

端點

POST /api/v1/guardrails
基礎 URL
https://runapi.ai
API 版本
v1
身分驗證
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
授權
需要帳戶管理員等級的 Management API 金鑰。
02

請求

JSON 請求內文

僅在列出的請求位置中傳送值。

JSON 主體10 個欄位
allowed_modelsarray | null
選填

模型允許清單。

allowed_providersarray | null
選填

提供者名稱允許清單。

blocked_modelsarray | null
選填

模型封鎖清單,其優先順序高於允許清單。

blocked_providersarray | null
選填

提供者名稱封鎖清單。

credit_limit_centsinteger | null
選填

總消費上限(美分)。

credit_limit_reset_intervalstring | null
選填

總消費上限的重置週期。

允許的值: daily, weekly, monthly
descriptionstring
選填

選用的自由格式說明。

enabledboolean
選填

是否強制執行安全護欄。

預設值: true
model_budgetsarray | null
選填

各模型的預算規則。

namestring
必填

帳號內唯一的 Guardrail 名稱。

03

成功回應

HTTP 201

POST /api/v1/guardrails

JSON
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "allowed_providers": [],
  "assignment_count": 1,
  "blocked_models": [],
  "blocked_providers": [],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 50000,
  "credit_limit_reset_interval": "monthly",
  "description": "Production policy",
  "enabled": true,
  "id": "guardrail_123",
  "model_budgets": [
    {
      "credit_limit_cents": 10000,
      "credit_limit_reset_interval": "monthly",
      "match_mode": "include",
      "models": [
        "gpt-5.4"
      ]
    }
  ],
  "name": "Production budget"
}
04

錯誤回應 (401)

HTTP 401
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Authentication required"
}
05

錯誤回應 (403)

HTTP 403
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Management API key required"
}
06

錯誤回應 (403)

HTTP 403
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Account admin required"
}
07

錯誤回應 (400)

HTTP 400
回應綱要
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

回應範例

JSON
{
  "error": "page must be an integer"
}
08

錯誤回應 (422)

HTTP 422
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的驗證摘要。",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
09

cURL 範例

CURL
curl -X POST https://runapi.ai/api/v1/guardrails \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production budget","description":"Production policy","enabled":true,"credit_limit_cents":50000,"credit_limit_reset_interval":"monthly","allowed_models":["gpt-5.4"],"model_budgets":[{"match_mode":"include","models":["gpt-5.4"],"credit_limit_cents":10000,"credit_limit_reset_interval":"monthly"}]}'